function [y,C,nC] = makeonevall(L)
% usage: [y,C,nC] = makeonevall(L)
%  Create one-vs-all labels.
%
% Input:
%  * L: vector of labels
%
% Output:
%  * y: |L| x nC one-vs-all +/-1 label matrix
%  * C: unique(L)
%  * nC: number of class
%
  
% create one vs. all labels
C = unique(L);
nC = length(C);
y = -ones(nC) + 2*eye(nC);
y = y(L,:);
if nC==2
  y = y(:,1);
end
